## kepas 0.9+repack

=== CMakeLists.txt ===
project(kepas)
 
# set version
set (KEPAS_VERSION_MAJOR 1)
set (KEPAS_VERSION_MINOR 0)
set (KEPAS_VERSION_RELEASE 00)
set (KEPAS_VERSION "${KEPAS_VERSION_MAJOR}.${KEPAS_VERSION_MINOR}.${KEPAS_VERSION_RELEASE}" )
set (KEPAS_VERSION_STRING "${KEPAS_VERSION} (Kepas 1.0)")

#set (CMAKE_INSTALL_PREFIX /usr)
SET( QT_USE_QT3SUPPORT TRUE )

# Find the required Libaries
find_package(KDE4 REQUIRED)
find_package(Qt4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
find_package(Plasma REQUIRED)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QT3SUPPORT_INCLUDE_DIR}
    
   )


add_subdirectory ( src )

=== src/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(libkpf)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${LIBKEPAS_BINARY_DIR}
   ${LIBKPF_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(kifertray_SRCS 
	main.cpp
	trayicon.cpp	
)



if(PLASMA_FOUND)
	add_subdirectory(plasma)
endif(PLASMA_FOUND)



# Now make sure all files get to the right place
kde4_add_executable(kepastray ${kifertray_SRCS})

target_link_libraries(kepastray
                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS} kepas kpf)
 
install(TARGETS kepastray
        DESTINATION ${KDE4_BIN_INSTALL_DIR})

install( FILES kepas.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kepas)
install( FILES plasma.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma)

=== src/lib/CMakeLists.txt ===
project(LIBKEPAS)
 
# set version
set (LIBKEPAS_VERSION_MAJOR 1)
set (LIBKEPAS_VERSION_MINOR 0)
set (LIBKEPAS_VERSION_RELEASE 00)
set (LIBKEPAS_VERSION "${LIBKEPAS_VERSION_MAJOR}.${LIBKEPAS_VERSION_MINOR}.${LIBKEPAS_VERSION_RELEASE}" )
set (LIBKEPAS_VERSION_STRING "${LIBKEPAS_VERSION} (Kepas 1.0)")

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_LIB_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(libkifer_SRCS 
	servicelocator.cpp
	buddylist.cpp
	sender.cpp
	receiver.cpp
	requestClipboard.cpp
)
kde4_add_ui_files(libkifer_SRCS 
			buddylist.ui
			config.ui)

kde4_add_library(kepas SHARED ${libkifer_SRCS})

target_link_libraries(kepas
                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS})
 
install(TARGETS kepas
        DESTINATION ${LIB_INSTALL_DIR})

=== src/libkpf/CMakeLists.txt ===
project(LIBKPF)

# set version
set (LIBKPF_VERSION_MAJOR 1)
set (LIBKPF_VERSION_MINOR 0)
set (LIBKPF_VERSION_RELEASE 00)
set (LIBKPF_VERSION "${LIBKPF_VERSION_MAJOR}.${LIBKPF_VERSION_MINOR}.${LIBKPF_VERSION_RELEASE}" )
#set (LIBKPF_VERSION_STRING "${LIBKPF_VERSION} (Kepas 1.0)")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)
include(MacroLibrary)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_LIB_DIR}
   ${KDE4_INCLUDES} 
   ${QT_QT3SUPPORT_INCLUDE_DIR}
   )

INCLUDE( ${QT_USE_FILE} )

SET( QT_USE_QT3SUPPORT TRUE ) 

add_definitions(-DQT3_SUPPORT)

set(libkpf_SRCS 
	ActiveMonitor.cpp        
	ErrorMessageConfigDialog.cpp  
	ServerSocket.cpp
	ActiveMonitorItem.cpp    
	Help.cpp                      
	ServerWizard.cpp
	ActiveMonitorWindow.cpp
#	KPFInterface.cpp              
	SingleServerConfigDialog.cpp
#	Applet.cpp               
	PortValidator.cpp
        StartingKPFDialog.cpp
	AppletItem.cpp           
	Server.cpp
	ServerPrivate.cpp	
	System.cpp
	Request.cpp                   
	Resource.cpp                  
	Response.cpp                  
	BandwidthGraph.cpp       
	Utils.cpp
	ByteRange.cpp            
	WebServer.cpp
	ConfigDialogPage.cpp     
	WebServerManager.cpp
	Defaults.cpp             
	RootValidator.cpp             
	WebServerSocket.cpp
	DirectoryLister.cpp      
	PropertiesDialogPlugin.cpp    
	DirSelectWidget.cpp      
)

kde4_add_library(kpf SHARED ${libkpf_SRCS})

target_link_libraries(kpf 
                      ${KDE4_KDE3SUPPORT_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_LIBRARIES} 
		      ${QT_QT3SUPPORT_LIBRARIES} ${KDE4_KDNSSD_LIBRARY})
 
install(TARGETS kpf
	  DESTINATION ${LIB_INSTALL_DIR})

=== src/plasma/CMakeLists.txt ===
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(kifer-plasma_SRCS 
	plasma-kifer.cpp
)

kde4_add_plugin(plasma_applet_kepas ${kifer-plasma_SRCS})

target_link_libraries(plasma_applet_kepas
                      ${KDE4_KIO_LIBRARY} ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} kepas kpf)
 
install(TARGETS plasma_applet_kepas
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-kepas.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## kepas 0.9+svn080923

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,3 +28,4 @@
 
 
 add_subdirectory ( src )
+add_subdirectory ( icons )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 
 if(PLASMA_FOUND)
+    #MESSAGE(STATUS "Plasma applets was disable until it will ported to new API")
 	add_subdirectory(plasma)
 endif(PLASMA_FOUND)
 
@@ -34,4 +35,5 @@
 
 install( FILES kepas.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kepas)
 install( FILES plasma.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma)
+install(FILES kepas.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,8 @@
 kde4_add_library(kepas SHARED ${libkifer_SRCS})
 
 target_link_libraries(kepas
-                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS})
+                      ${QT_QTNETWORK_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS})
  
 install(TARGETS kepas
-        DESTINATION ${LIB_INSTALL_DIR})
+        ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/plasma/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 kde4_add_plugin(plasma_applet_kepas ${kifer-plasma_SRCS})
 
 target_link_libraries(plasma_applet_kepas
-                      ${KDE4_KIO_LIBRARY} ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} kepas kpf)
+    ${KDE4_KIO_LIBRARY} ${QT_QT3SUPPORT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} kepas kpf)
  
 install(TARGETS plasma_applet_kepas
         DESTINATION ${PLUGIN_INSTALL_DIR})

## kepas 0.9.3

=== CMakeLists.txt ===
project(kepas)
cmake_minimum_required(VERSION 2.6) 
set (KEPAS_VERSION_MAJOR 1)
set (KEPAS_VERSION_MINOR 0)
set (KEPAS_VERSION_RELEASE 00)
set (KEPAS_VERSION "${KEPAS_VERSION_MAJOR}.${KEPAS_VERSION_MINOR}.${KEPAS_VERSION_RELEASE}" )
set (KEPAS_VERSION_STRING "${KEPAS_VERSION} (Kepas 1.0)")

SET( QT_USE_QT3SUPPORT TRUE )

find_package(KDE4 REQUIRED)
find_package(Qt4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QT3SUPPORT_INCLUDE_DIR}
    
   )

add_subdirectory ( src )
add_subdirectory ( icons )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,22 +9,14 @@
    ${KDE4_INCLUDES}
    )
  
-# We add our source code here
 set(kifertray_SRCS 
 	main.cpp
 	trayicon.cpp	
 )
 
+add_subdirectory(plasma)
 
 
-if(PLASMA_FOUND)
-    #MESSAGE(STATUS "Plasma applets was disable until it will ported to new API")
-	add_subdirectory(plasma)
-endif(PLASMA_FOUND)
-
-
-
-# Now make sure all files get to the right place
 kde4_add_executable(kepastray ${kifertray_SRCS})
 
 target_link_libraries(kepastray

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,8 @@
 )
 kde4_add_ui_files(libkifer_SRCS 
 			buddylist.ui
-			config.ui)
+			config.ui
+                        noteEditor.ui)
 
 kde4_add_library(kepas SHARED ${libkifer_SRCS})

=== src/libkpf/CMakeLists.txt ===
--- 
+++ 
@@ -72,5 +72,5 @@
 		      ${QT_QT3SUPPORT_LIBRARIES} ${KDE4_KDNSSD_LIBRARY})
  
 install(TARGETS kpf
-	  DESTINATION ${LIB_INSTALL_DIR})
+	  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/plasma/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 kde4_add_plugin(plasma_applet_kepas ${kifer-plasma_SRCS})
 
 target_link_libraries(plasma_applet_kepas
-    ${KDE4_KIO_LIBRARY} ${QT_QT3SUPPORT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} kepas kpf)
+    ${KDE4_KIO_LIBRARY} ${QT_QT3SUPPORT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} kepas kpf)
  
 install(TARGETS plasma_applet_kepas
         DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kepas (0.9.3-0ubuntu5) natty; urgency=low

  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag
  * Bump Standards-Version to 3.9.1, no changes necessary
  * Remove now-unnecessary conflicts/replaces on the plasmoid-* packages. No
    supported upgrade path has these anymore.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 11:35:14 -0500

kepas (0.9.3-0ubuntu4) lucid; urgency=low

  * Transition from kde4.mk to dh7 short-style rules with kde sequence addon:
    - Bump debian/compat to 7
    - Bump debhelper build-depend to 7.3.16
    - Remove build-depend on cdbs
    - Add build-depend on pkg-kde-tools (>= 0.5.0)
    - Update kepas.install and plasma-widget-kepas.install for file path
      changes
    (Closes LP: #508520)
  * Switch to debian source format 3.0 (quilt)
  * Update Maintainer field to Ubuntu Developers
  * Add dependency on ${misc:Depends} to binary packages for lintian happiness
  * Bump Standards-Version to 3.8.3
  * "KDE4" -> "KDE" in package descriptions; there's no need to differentiate
  * "Plasmoid" -> "Plasma widget" in package descriptions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 16 Jan 2010 21:30:43 -0500

kepas (0.9.3-0ubuntu3) jaunty; urgency=low

  * Complete package renaming from previous version.
    - Rename the .install file so that the resulting package is not empty.
    - Make "kepas" depend on the new package name so that it is installable.

 -- James Westby <james.westby@ubuntu.com>  Sun, 15 Feb 2009 23:40:24 +0000

kepas (0.9.3-0ubuntu2) jaunty; urgency=low

  * Rename plasmoid-kepas to plasma-widget-kepas to match upstream naming 
    policy (LP: #329627).
    - Add conflicts/replaces plasmoid-kepas.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Sat, 14 Feb 2009 23:17:30 -0800

kepas (0.9.3-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Removed obsolete quilt build-dep

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 28 Jan 2009 11:15:28 +0100

kepas (0.9+svn081218-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot
  * debian/control:
    - updated short descriptions of plasmoid-kepas and kepas to clearly state
      the difference between both and removed "(dummy package)" from kepas
      short desc since it's not a dummy package.

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 18 Dec 2008 19:42:03 +0100

kepas (0.9+svn080923-0ubuntu1) intrepid; urgency=low

  [ Guillaume Martres ]
  * New upstream snapshot, compatible with Plasma from KDE 4.1
  * debian/rules:
    - use kde4.mk
    - removed get-orig-source, not necessary anymore
    - added get-orig-svn
  * debian/control:
    - ensure cdbs version is (>= 0.4.52ubuntu7) for kde4.mk
    - bumped Standards-Version to 3.8.0
      for transition
    - added binary package plasmoid-kepas, kepastray binary is now
      in the kepas binary package
    - added Vcs-* fields
  * removed debian/cdbs, not needed with kde4.mk
  * added debian/kepas.postinst to fix lintian postinst-must-call-ldconfig
  * added debian/{plasmoid-kepas,kepas}.install and debian/not-installed

  [ Harald Sitter ]
  * Due to kde4.mk build dependency on quilt is necessary
  * Don't exceed 80 characters in debian/control

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 23 Sep 2008 13:22:53 +0200

kepas (0.9+repack-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #185010)

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 07 Feb 2008 12:45:53 +0100

=== debian/control ===
Source: kepas
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Martres <smarter@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdebase-workspace-dev
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/kepas/
Vcs-Bzr: lp:~kubuntu-members/kepas/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kepas/ubuntu/files

Package: plasma-widget-kepas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kepas (>= 0.9+svn080903)
Description: KDE Easy Publish and Share - Plasma Widget
 Kepas is a zeroconf KDE filetransfer tool.
 It discovers your local LAN for buddies (KDNSSD) and
 Kopete ICQ contacts and lets you transfer files or
 Klipper entries from a trayicon or via drag'n drop
 with the Kepas Plasma widget.
 .
 This package contains the Kepas Plasma widget

Package: kepas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-widget-kepas
Description: KDE Easy Publish and Share - Tray icon
 Kepas is a zeroconf KDE filetransfer tool.
 It discovers your local LAN for buddies (KDNSSD) and
 Kopete ICQ contacts and lets you transfer files or
 Klipper entries from a trayicon or via drag'n drop
 with the Kepas Plasma widget.
 .
 This package contains the Kepas tray icon

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
DATE := $(shell date +%y%m%d)
VERSION := $(word 1, $(subst +, ,$(DEB_UPSTREAM_VERSION)))
DIR := ${DEB_SOURCE_PACKAGE}-${VERSION}+svn${DATE}
TAR := ${DEB_SOURCE_PACKAGE}_${VERSION}+svn${DATE}.orig.tar.gz

get-orig-svn:
	cd ${DEBIAN_DIR}/.. && \
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/network/kepas ${DIR} && \
	tar czf ${CURDIR}/${TAR} ${DIR} && \
	rm -r ${DIR}

=== debian/watch ===
version=3

http://sf.net/kepas/kepas-(.*)\.tar\.bz2
